package org.example;

public class Main {
    public static void main(String[] args) throws Exception {
        long timeout = 3000;
        ThreadPool threadPool = new ThreadPool(3, 10);
        for (int i = 0; i < 60; i++) {
            final int taskNo = i;
            threadPool.execute(() -> {
                String message = Thread.currentThread().getName() + ": Task " + taskNo;
                System.out.println(message);
            });
        }
        threadPool.waitUntilAllTasksFinished(timeout);
        threadPool.stop();


    }
}